> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Retrieve

GET https://restapi.ordergroove.com/products/{product_id}/

Returns information for a single product by its unique identifier.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/products/retrieve

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Path parameters

- `product_id` (string, required) — Merchant product ID

### Query parameters

- `include_product_selection_rules` (boolean, optional, default: false) — For rotating products this param returns a product_selection_rules list with all selection_list_elements
- `include_product_free_trials` (boolean, optional, default: false) — When set to true, a product_free_trial_configurations list is included with the product's free trial configurations

## Response

### 200

200

- `merchant` (string, optional)
- `groups` (list of ProductsProductIdGetResponsesContentApplicationJsonSchemaGroupsItems, optional)
- `name` (string, optional)
- `price` (string, optional)
- `image_url` (string, optional)
- `detail_url` (string, optional)
- `external_product_id` (string, optional)
- `sku` (string, optional)
- `autoship_enabled` (boolean, optional, default: true)
- `premier_enabled` (integer, optional, default: 0)
- `created` (string, optional)
- `last_update` (string, optional)
- `live` (boolean, optional, default: true)
- `discontinued` (boolean, optional, default: true)
- `offer_profile` (string, optional, nullable)
- `extra_data` (any, optional)
- `incentive_group` (any, optional)
- `product_type` (string, optional)
- `autoship_by_default` (boolean, optional, default: true)
- `every` (integer, optional, default: 0)
- `every_period` (integer, optional, default: 0)
- `product_free_trial_configurations` (list of FreeTrialConfiguration, optional) — Only included when include_product_free_trials=true is passed. Free trial configurations for the product; empty if none exist.

## Errors

### 403 Forbidden Error

403

- `detail` (string, optional)

### 404 Not Found Error

404

- `detail` (string, optional)

## Types

### ProductsProductIdGetResponsesContentApplicationJsonSchemaGroupsItems

### FreeTrialConfiguration

- `public_id` (string, required) — Free trial configuration public id
- `duration_in_days` (integer, required) — Number of days the free trial will last
- `created` (string, required)
- `last_updated` (string, required)

## Examples

**Response**

```json
{
  "merchant": "ac4f7938383a11e89ecbbc764e1107f2",
  "groups": [],
  "name": "Wild Yam Root 405mg",
  "price": "6.99",
  "image_url": "https://staging-web-vitaminworld.demandware.net/on/demandware.static/-/Sites-vitaminworld-master/default/dwafa9ff17/images/2017/000030.jpg",
  "detail_url": "https://staging-web-vitaminworld.demandware.net/s/vitaminworld_us/wild-yam-root-405mg-0070000030.html",
  "external_product_id": "0070000030",
  "sku": "0070000030",
  "autoship_enabled": false,
  "premier_enabled": 0,
  "created": "2018-07-24 10:06:10",
  "last_update": "2018-11-20 10:48:00",
  "live": false,
  "discontinued": false,
  "offer_profile": null,
  "product_type": "standard",
  "autoship_by_default": false,
  "every": 2,
  "every_period": 2,
  "product_free_trial_configurations": [
    {
      "public_id": "da33bef203a34a958dbdf259837ea882",
      "duration_in_days": 9,
      "created": "2025-09-19 15:21:49",
      "last_updated": "2025-09-19 15:21:49"
    }
  ]
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/products/product_id/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/products/product_id/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/products/product_id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/products/product_id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/products/product_id/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/products/product_id/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/products/product_id/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/products/product_id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```